Subject: bug#54296: Add buffer-matching functionality

From: Eli Zaretskii <[email-masked]>
Date: Wed, 15 Jun 2022 05:34:33 +0300

> Date: Tue, 14 Jun 2022 22:46:49 +0300
> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 14.06.2022 22:17, Eli Zaretskii wrote:
> > No, I proposed to use the "predicate function" method (which already
> > exists).
> 
> Then the downside is "it's not readable". Or editable, really.
> 
> At this point you could say that we need to support lambas anyway (ok), 
> and if people use them, we can use it for this purpose too.
> 
> But it seems to me that, by not supporting lambdas so far, over the 
> couple of years since its introduction, project-kill-buffer-conditions 
> has kind of proven its minimal DSL to be viable.
> 
> And if by having the 'major-mode eq' matcher we manage to avoid the use 
> of lambdas in 99%+ use cases, then that's a win for usability.

This is all a moot point, since eventually 'major-mode' was left in
the code.  Any of the suggestions I had for removing it are therefore
purely academic at this point, nothing to argue about.